<?php

namespace Container\Mail;

use Helpers\Trad\Trad;

class AoCreatForDem extends AbsMail
{
    public function getSujet(): string
    {
        return Trad::strBuild(
            $this->trad->t('Votre demande d’achat N°@1@ est passée en consultation N°@2@'),
            $this->listeData['NDA'],
            $this->listeData['NAO'],
        );
    }

    public function getMessage(): string
    {
        return implode("\r\n", [
            $this->trad->t('Bonjour,'),
            '',
            Trad::strBuild(
                $this->trad->t('L’acheteur @1@ (@2@) a passé votre demande d’achat N°@3@ en consultation N°@4@.'),
                $this->listeData['NOM_ACH'],
                $this->listeData['CODE_ACH'],
                $this->listeData['NDA'],
                $this->listeData['NAO']
            ),
            $this->trad->t('Vous recevrez un nouvel email quand la consultation sera terminée.'),
            '',
            $this->trad->t('Cordialement,'),
            $this->trad->t('L’équipe Achat'),
        ]);
    }
}
